<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrCheckWorkInfoMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrCheckWorkInfo">
            <result property="instaskid" column="INSTASKID" jdbcType="VARCHAR"/>
            <result property="insplanid" column="INSPLANID" jdbcType="VARCHAR"/>
            <result property="raninsplanid" column="RANINSPLANID" jdbcType="VARCHAR"/>
            <result property="raninsplanname" column="RANINSPLANNAME" jdbcType="VARCHAR"/>
            <result property="raninstaskid" column="RANINSTASKID" jdbcType="VARCHAR"/>
            <result property="raninstaskname" column="RANINSTASKNAME" jdbcType="VARCHAR"/>
            <result property="raninstype" column="RANINSTYPE" jdbcType="VARCHAR"/>
            <result property="raninstypename" column="RANINSTYPENAME" jdbcType="VARCHAR"/>
            <result property="raninsitem" column="RANINSITEM" jdbcType="VARCHAR"/>
            <result property="raninsitemname" column="RANINSITEMNAME" jdbcType="VARCHAR"/>
            <result property="raninsobjscope" column="RANINSOBJSCOPE" jdbcType="VARCHAR"/>
            <result property="insdatefrom" column="INSDATEFROM" jdbcType="DATE"/>
            <result property="insdateto" column="INSDATETO" jdbcType="DATE"/>
            <result property="insauthcode" column="INSAUTHCODE" jdbcType="VARCHAR"/>
            <result property="insauth" column="INSAUTH" jdbcType="VARCHAR"/>
            <result property="raninsobjnum" column="RANINSOBJNUM" jdbcType="INTEGER"/>
            <result property="pubdate" column="PUBDATE" jdbcType="DATE"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        INSTASKID,INSPLANID,RANINSPLANID,
        RANINSPLANNAME,RANINSTASKID,RANINSTASKNAME,
        RANINSTYPE,RANINSTYPENAME,RANINSITEM,
        RANINSITEMNAME,RANINSOBJSCOPE,INSDATEFROM,
        INSDATETO,INSAUTHCODE,INSAUTH,
        RANINSOBJNUM,PUBDATE,S_EXT_DATATIME
    </sql>
</mapper>
